wx-install(){
    if [[ -z $1 ]]
    then
        wx-header "Install"
    fi

    wx-restricted

    if [[ -f "./wx" ]] && [[ -d "./src" ]]
    then
        podman run -it --rm -v "$PWD":/usr/src/myapp -w /usr/src/myapp docker.io/library/php:8-cli php generator.php &> /dev/null
        mv wx.tmp wx &> /dev/null
        chmod +x wx &> /dev/null
    fi

    mkdir $HOME/bin &> /dev/null
    curl https://git.waren.io/warengroup/wx/raw/branch/master/wx -o $HOME/bin/wx &> /dev/null
    chmod +x $HOME/bin/wx &> /dev/null
}
